
function Skinner:GroupCalendar()

	if not self:isVersion("GroupCalendar", "4.0b11", GroupCalendar.VersionString) then return end
	
-->>-- Group Calendar Frame
	GroupCalendarFrame:SetWidth(GroupCalendarFrame:GetWidth() * FxMult + 20)
	GroupCalendarFrame:SetHeight(GroupCalendarFrame:GetHeight() * FyMult + 20)
	self:moveObject(GroupCalendarCloseButton, "-", 4, "+", 8)
	GroupCalendarFrameClock:Hide()
	self:keepFontStrings(GroupCalendarCalendarFrame)
	self:moveObject(GroupCalendarMonthYearText, "-", 13, nil, nil)
	self:moveObject(GroupCalendarCalendarFrameWeekdayLabel0, "-", 13, nil, nil)
	self:moveObject(GroupCalendarDay0, "-", 13, nil, nil)
	self:moveObject(GroupCalendarUseServerTime, nil, nil, "+", 13)
-->>-- Side Panel	
	self:keepFontStrings(GroupCalendarSideListScrollbarTrench)
	self:removeRegions(GroupCalendarSideListScrollFrame)
	self:skinScrollBar(GroupCalendarSideListScrollFrame)
	self:moveObject(GroupCalendarSidePanelCloseButton, "-", 4, "-", 4)
	self:keepFontStrings(GroupCalendarSidePanel)
	self:moveObject(GroupCalendarSidePanel, "-", 4, "-", 3)
	self:applySkin(GroupCalendarSidePanel)
-->-- Excluded Players
	GroupCalendarExcludeGroup:SetHeight(GroupCalendarExcludeGroup:GetHeight() + 5)
	self:skinEditBox(CalendarTrustedPlayerName, {})
	self:removeRegions(CalendarExcludedPlayersListScrollFrame)
	self:skinScrollBar(CalendarExcludedPlayersListScrollFrame)
	self:keepFontStrings(CalendarExcludedPlayersList)
	self:applySkin(GroupCalendarExcludeGroup)
-->>-- Backup Frame
	self:skinDropDown(GroupCalendarBackupFrameCharacterMenu, nil, true)
	self:moveObject(GroupCalendarBackupFrameBackupNow, nil, nil, "-", 30)
	self:SecureHook(GroupCalendarBackupFrame, "Show", function(this, ...)
		self:Debug("GCBF_Show: [%s]", GroupCalendarBackupFrameBackup1 or "nil")
		self:moveObject(GroupCalendarBackupFrameBackup1, "-", 50, nil, nil)
		self:Unhook(GroupCalendarBackupFrame, "Show")
		end)
-->>-- About Frame
	self:moveObject(GroupCalendarAboutTitleVersion, "-", 10, nil, nil)
	self:moveObject(GroupCalendarGuildURL, "-", 10, nil, nil)
	self:keepFontStrings(GroupCalendarAboutFrame)
-->>-- Setup Frame	
	self:keepFontStrings(GroupCalendarSetupFrame)
	self:moveObject(self:getRegion(GroupCalendarSetupFrame, 1), "-", 13, "+", 15)
	self:moveObject(CalendarConfigModeMenu, "-", 13, "+", 30)
	self:skinDropDown(CalendarConfigModeMenu, nil, true)
	self:skinDropDown(GroupCalendarTrustMinRank, nil, true)
	self:skinEditBox(GroupCalendarChannelName, {})
	self:skinEditBox(GroupCalendarChannelPassword, {})
	self:keepFontStrings(GroupCalendarFrame)
	self:applySkin(GroupCalendarFrame)
	-- Tabs
	for i = 1, #GroupCalendar.PanelFrames do
		local tabName = _G["GroupCalendarFrameTab"..i]
		self:keepRegions(tabName, {7, 8}) -- N.B. region 7 is the Text, 8 is the highlight
		if self.db.profile.TexturedTab then self:applySkin(tabName, nil, 0, 1)
		else self:applySkin(tabName) end
		if i == 1 then
			self:moveObject(tabName, nil, nil, "-", 21)
			if self.db.profile.TexturedTab then self:setActiveTab(tabName) end
		else
			self:moveObject(tabName, "+", 10, nil, nil)
			if self.db.profile.TexturedTab then self:setInactiveTab(tabName) end
		end
	end
	if self.db.profile.TexturedTab then
		self:SecureHook(GroupCalendar, "ShowPanel", function(pPanelIndex)
			for i = 1, #GroupCalendar.PanelFrames do
				local tabName = _G["GroupCalendarFrameTab"..i]
				if i == GroupCalendarFrame.selectedTab then self:setActiveTab(tabName)
				else self:setInactiveTab(tabName) end
			end
			end)
	end
	
-->>-- Calendar Editor Frame
	CalendarEditorFrame:SetHeight(GroupCalendarFrame:GetHeight())
	self:moveObject(CalendarEditorFrame, "-", 4, "+", 21)
	self:moveObject(CalendarEditorCloseButton, "-", 4, "-", 4)
	self:removeRegions(CalendarEditorScrollFrame)
	self:skinScrollBar(CalendarEditorScrollFrame)
	self:keepFontStrings(CalendarEditorScrollbarTrench)
	self:keepFontStrings(CalendarEditorFrame)
	self:applySkin(CalendarEditorFrame)

-->>-- Calendar Event Editor Frame
	CalendarEventEditorFrame:SetHeight(CalendarEditorFrame:GetHeight())
	self:moveObject(CalendarEventEditorFrame, "-", 4, "+", 21)
	self:moveObject(CalendarEventEditorCloseButton, "-", 4, "-", 4)
	CalendarEventEditorEventBackground:Hide()
	self:skinDropDown(CalendarEventEditorEventTypeMenu, nil, true)
	self:skinEditBox(CalendarEventTitle, {})
	self:skinDropDown(CalendarEventEditorTimeHour, nil, true)
	self:skinDropDown(CalendarEventEditorTimeMinute, nil, true)
	self:skinDropDown(CalendarEventEditorTimeAMPM, nil, true)
	self:moveObject(CalendarEventEditorTimeZone, "+", 160, nil, nil)
	self:skinDropDown(CalendarEventEditorDurationMenu, nil, true)
	self:skinEditBox(CalendarEventMinLevel, {})
	self:skinEditBox(CalendarEventMaxLevel, {})
	CalendarEventDescriptionFrame:SetWidth(CalendarEventDescriptionFrame:GetWidth() + 10)
	CalendarEventDescriptionFrame:SetHeight(CalendarEventDescriptionFrame:GetHeight() + 10)
	self:moveObject(self:getRegion(CalendarEventDescriptionScrollFrame, 1), "-", 10, "+", 3) -- Description Text
	self:moveObject(CalendarEventDescriptionLimit, "-", 10, "+", 3)
	self:moveObject(CalendarEventDescription, "-", 5, nil, nil)
	self:keepFontStrings(CalendarEventDescriptionFrame)
	self:applySkin(CalendarEventDescriptionFrame)
	self:moveObject(CalendarEventDescriptionScrollFrame, "+", 8, "-", 7)
	self:removeRegions(CalendarEventDescriptionScrollFrame)
	self:skinScrollBar(CalendarEventDescriptionScrollFrame)
	self:keepFontStrings(CalendarEventEditorFrame)
	self:moveObject(CalendarEventEditorDoneButton, nil, nil, "+", 5)
	self:applySkin(CalendarEventEditorFrame)
	-- Tabs
	self:keepRegions(CalendarEventEditorFrameTab1, {7, 8})
	self:keepRegions(CalendarEventEditorFrameTab2, {7, 8})
	self:moveObject(CalendarEventEditorFrameTab1, nil, nil, "+", 5)
	self:moveObject(CalendarEventEditorFrameTab2, "-", 10, nil, nil)
	if self.db.profile.TexturedTab then self:applySkin(CalendarEventEditorFrameTab1, nil, 0)
	else self:applySkin(CalendarEventEditorFrameTab1) end
	if self.db.profile.TexturedTab then self:applySkin(CalendarEventEditorFrameTab2, nil, 0)
	else self:applySkin(CalendarEventEditorFrameTab2) end
	if self.db.profile.TexturedTab then
		self:setActiveTab(CalendarEventEditorFrameTab1)
		self:setInactiveTab(CalendarEventEditorFrameTab2)
	end	
	
	if self.db.profile.TexturedTab then
		self:SecureHook(GroupCalendar.EventEditor, "ShowPanel", function(pPanelIndex)
			self:setInactiveTab(CalendarEventEditorFrameTab1)
			self:setInactiveTab(CalendarEventEditorFrameTab2)
			self:setActiveTab(_G["CalendarEventEditorFrameTab"..CalendarEventEditorFrame.selectedTab])
			end)
	end

-->>-- Calendar Event Editor Attendance Frame
	self:keepRegions(CalendarEventEditorAttendanceExpandAll, {7, 8})
	self:keepRegions(CalendarEventEditorAttendanceGroupTab, {7, 8})
	self:skinDropDown(CalendarEventEditorAttendanceViewMenu, nil, true)
	self:keepFontStrings(CalendarEventEditorAttendanceMainViewClassTotals)
	self:keepFontStrings(CalendarEventEditorAttendanceMainViewRoleTotals)
	self:keepFontStrings(CalendarEventEditorAttendanceMainViewAutoConfirm)
	self:skinDropDown(CalendarEventEditorAttendanceMainViewAutoConfirmMenu, nil, true)
	self:keepFontStrings(CalendarEventEditorAttendanceMainGroupView)
	self:removeRegions(CalendarEventEditorAttendanceScrollFrame)
	self:skinScrollBar(CalendarEventEditorAttendanceScrollFrame)
	self:keepFontStrings(CalendarEventEditorAttendanceScrollbarTrench)
	self:keepFontStrings(CalendarEventEditorAttendance)
	self:keepFontStrings(CalendarEventEditorAttendanceFrame)
	self:moveObject(CalendarEventEditorAttendanceMainViewAddButton, nil, nil, "+", 5)
	self:moveObject(CalendarEventEditorAttendanceTotal, nil, nil, "+", 5)
-->>-- Add Player Frame
	self:skinEditBox(CalendarAddPlayerFrameName, {})
	self:keepFontStrings(CalendarAddPlayerFrameRankMenu)
	self:keepFontStrings(CalendarAddPlayerFrameRoleMenu)
	self:keepFontStrings(CalendarAddPlayerFrameStatusMenu)
	self:skinEditBox(CalendarAddPlayerFrameLevel, {})
	self:keepFontStrings(CalendarAddPlayerFrameClassMenu)
	self:keepFontStrings(CalendarAddPlayerFrameRaceMenu)
	self:skinEditBox(CalendarAddPlayerFrameComment, {})
	self:keepFontStrings(CalendarAddPlayerFrame)
	self:applySkin(CalendarAddPlayerFrame, true)
	self:keepFontStrings(CalendarAddPlayerFrameWhisper)
	self:skinEditBox(CalendarAddPlayerFrameWhisperReply, {})

-->>-- Calendar Role Limits Frame
	self:skinEditBox(CalendarRoleLimitsFrameMHMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameMHMax, {})
	self:skinEditBox(CalendarRoleLimitsFrameOHMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameOHMax, {})
	self:skinEditBox(CalendarRoleLimitsFrameMTMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameMTMax, {})
	self:skinEditBox(CalendarRoleLimitsFrameOTMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameOTMax, {})
	self:skinEditBox(CalendarRoleLimitsFrameMDMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameMDMax, {})
	self:skinEditBox(CalendarRoleLimitsFrameRDMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameRDMax, {})
	self:skinEditBox(CalendarRoleLimitsFrameMHPRIESTMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameMHDRUIDMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameMHPALADINMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameMHSHAMANMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameOHPRIESTMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameOHDRUIDMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameOHPALADINMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameOHSHAMANMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameMTDRUIDMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameMTPALADINMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameMTWARRIORMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameOTDRUIDMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameOTPALADINMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameOTWARRIORMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameMDDRUIDMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameMDPALADINMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameMDSHAMANMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameMDWARRIORMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameMDROGUEMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameRDPRIESTMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameRDDRUIDMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameRDSHAMANMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameRDHUNTERMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameRDMAGEMin, {})
	self:skinEditBox(CalendarRoleLimitsFrameRDWARLOCKMin, {})
	self:skinDropDown(CalendarRoleLimitsFrameMaxPartySize, nil, true)
	self:applySkin(CalendarRoleLimitsFrame, true)
	
end
